Bug 627659 - Live migration fails with timeout
Live migration fails with timeout
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-26 11:34 EDT by Arthur Clement
Modified: 2011-06-10 14:14 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-10 14:14:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Arthur Clement 2010-08-26 11:34:52 EDT
Description of problem:

The live migration failed when the vm reach a certain size (timeout problem).
Vms are set up with virtio (network & storage) and lvm over iscsi.


Version-Release number of selected component (if applicable):
Fedora 13
fedora-virt-preview repo enabled 

Rpms :
libvirt-client-0.8.2-3.fc13.x86_64
libvirt-0.8.2-3.fc13.x86_64
qemu-common-0.13.0-0.5.20100809git25fdf4a.fc13.x86_64
qemu-img-0.13.0-0.5.20100809git25fdf4a.fc13.x86_64
qemu-kvm-tools-0.12.3-8.fc13.x86_64
qemu-system-x86-0.13.0-0.5.20100809git25fdf4a.fc13.x86_64

Log:

error : qemuDomainObjBeginJob:358 : Timed out during operation: cannot acquire state change lock
error : qemuDomainObjBeginJobWithDriver:405 : Timed out during operation: cannot acquire state change lock
info : qemudDispatchServer:1402 : Turn off polkit auth for privileged client 20987


Xml : 

<domain type='kvm'>
  <name>test</name>
  <uuid>4a3bc3af-430b-66f2-dae6-5cd7295c2d54</uuid>
  <memory>1048576</memory>
  <currentMemory>1048576</currentMemory>
  <vcpu>1</vcpu>
  <os>
    <type arch='x86_64' machine='pc-0.13'>hvm</type>
    <boot dev='hd'/>
  </os>
  <features>
    <acpi/>
    <apic/>
  </features>
  <clock offset='utc'/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>restart</on_reboot>
  <on_crash>destroy</on_crash>
  <devices>
    <emulator>/usr/bin/qemu-kvm</emulator>
    <disk type='block' device='disk'>
      <driver name='qemu' type='raw'/>
      <source dev='/dev/disk/by-id/scsi-14f504e22294c450077706d6534552d575950442d31746c56'/>
      <target dev='vda' bus='virtio'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x04' function='0x0'/>
    </disk>
    <interface type='bridge'>
      <mac address='00:16:3e:5d:34:78'/>
      <source bridge='breth2'/>
      <model type='virtio'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x05' function='0x0'/>
    </interface>
    <interface type='bridge'>
      <mac address='00:16:3e:10:76:5p'/>
      <source bridge='breth1.503'/>
      <model type='virtio'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x06' function='0x0'/>
    </interface>
    <serial type='pty'>
      <target port='0'/>
    </serial>
    <console type='pty'>
      <target port='0'/>
    </console>
    <input type='mouse' bus='ps2'/>
    <graphics type='vnc' port='-1' autoport='yes' listen='0.0.0.0'/>
    <video>
      <model type='cirrus' vram='9216' heads='1'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x0'/>
    </video>
  </devices>
</domain>
Comment 1 Bug Zapper 2011-06-01 06:20:10 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Cole Robinson 2011-06-10 14:14:46 EDT
Please reopen if you can reproduce with newer fedora

Note You need to log in before you can comment on or make changes to this bug.